{smcl}
{* version 1.0.0  05feb2025  Ben Jann}{...}
{hi:labels_isco88a()} {hline 2} Short ISCO-88 labels by Ganzeboom/Treiman

{title:Description}

{pstd}
    {helpb crosswalk} table providing labels for 4-digit ISCO-88 codes by
    Ganzeboom/Treiman (1996). The Ganzeboom/Treiman variant of ISCO-88 contains
    a few extra occupational codes compared to the official variant by the ILO.

{pstd}
    {cmd:labels_isco88a()} provides short labels; see
    {helpb _cwfcn_labels_isco88b:labels_isco88b()} for long labels.

{title:Source}

{pstd}
    SPSS script {cmd:iskolab.sps} provided by Harry Ganzeboom at
    {browse "http://www.harryganzeboom.nl/isco88/"}.

{title:References}

{phang}
    Ganzeboom, H.B.G., D.J. Treiman. 1996. Internationally Comparable Measures
    of Occupational Status for the 1988 International Standard Classification
    of Occupations. Social Science Research 25: 201-239.
    {p_end}
{hline}
{asis}
0110 '[armed forces]'
6131 '[mixed farmer]'
6132 '[farm foreman]'
6133 '[farmer nfs]'
6134 '[skilled farm worker nfs]'
7510 '[non farm foremen nfs]'
7520 '[skilled manual nfs]'
3451 '[police inspectors-detectives]'
3452 '[armed forces non-commissioned officers + army nfs]'
2322 '[second voc teacher]'
2321 '[second academ teacher]'
2323 '[middle school teacher]'
8400 '[semiskld worker nfs]'
7530 '[apprentice skilled work nfs]'
7234 '[unskl garage worker, oiler]'
1000 'legislators, senior officials & managers'
1100 'legislators & senior officials'
1110 'legislators'
1120 'senior government officials'
1130 'traditional chiefs & heads of villages'
1140 'senior officials special-interest organisations'
1141 'senior officials political-party organisations'
1142 'senior officials economic-interest organisations'
1143 'senior officials special-interest organisations'
1200 'corporate managers [large enterprise]'
1210 'directors & chief executives [large enterprise]'
1220 'department managers [large enterprise][production-operation]'
1221 'department managers agriculture, hunting, forestry & fishlng'
1222 'department managers manufacturing'
1223 'department managers construction'
1224 'department managers wholesale & retail trade'
1225 'department managers restaurants & hotels'
1226 'department managers transport, storage & communications'
1227 'department managers business services'
1228 'department managers personal care, cleaning etc'
1229 'operations department managers nec'
1230 'other department managers [large enterprise]'
1231 'finance & administration department managers'
1232 'personnel & industrial relations department managers'
1233 'sales & marketing department managers'
1234 'advertising & public relations department managers'
1235 'supply & distribution department managers'
1236 'computing services department managers'
1237 'research & development department managers'
1239 'other department managers nec'
1240 '[office manager]'
1250 '[military officers]'
1251 '[high military officers]'
1252 '[lower military officers]'
1300 'general managers [small enterprise]'
1310 'general managers [small enterprise]'
1311 'general managers agriculture, hunting forestry & fishing'
1312 'general managers manufacturing'
1313 'general managers construction'
1314 'general managers wholesale & retail trade'
1315 'general managers restaurants & hotels'
1316 'general managers transport, storage & communications'
1317 'general managers business services'
1318 'general managers personal care, cleaning etc services'
1319 'general managers nec'
2000 'professionals'
2100 'physical, mathematical & engineering science professionals'
2110 'physicists, chemists & related professionals'
2111 'physicists & astronomers'
2112 'meteorologists'
2113 'chemists'
2114 'geologists & geophysicists'
2120 'mathematicians, statisticians etc professionals'
2121 'mathematicians etc professionals'
2122 'statisticians'
2130 'computing professionals'
2131 'computer systems designers & analysts'
2132 'computer programmers'
2139 'computing professionals nec'
2140 'architects, engineers etc professionals'
2141 'architects town & traffic planners'
2142 'civil engineers'
2143 'electrical engineers'
2144 'electronics & telecommunications engineers'
2145 'mechanical engineers'
2146 'chemical engineers'
2147 'mining engineers metallurgists etc professionals'
2148 'cartographers & surveyors'
2149 'architects engineers etc professionals nec'
2200 'life science & health professionals'
2210 'life science professionals'
2211 'biologists, botanists zoologists etc professionals'
2212 'pharmacologists, pathologists etc professlonals'
2213 'agronomists etc professionals'
2220 'health professionals (except nursing)'
2221 'medical doctors'
2222 'dentists'
2223 'veterinarians'
2224 'pharmacists'
2229 'health professionals except nursing nec'
2230 'nursing & midwifery professionals'
2300 'teaching professionals'
2310 'higher education teaching professionals'
2320 'secondary education teaching professionals'
2330 'primary & pre-primary education teaching professionals'
2331 'primary education teaching professionals'
2332 'pre-primary education teaching professionals'
2340 'special education teaching professionals'
2350 'other teaching professionals'
2351 'education methods specialists'
2352 'school inspectors'
2359 'other teaching professionals nec'
2400 'other professionals'
2410 'business professionals'
2411 'accountants'
2412 'personnel & careers professionals'
2419 'business professionals nec'
2420 'legal professionals'
2421 'lawyers'
2422 'judges'
2429 'legal professionals nec'
2430 'archivists, librarians etc information professionals'
2431 'archivists & curators'
2432 'librarians etc information professionals'
2440 'social science etc professionals'
2441 'economists'
2442 'sociologists anthropologists etc professionals'
2443 'philosophers, historians & political scientists'
2444 'philologists translators & interpreters'
2445 'psychologists'
2446 'social work professionals'
2450 'writers & creative or performing artists'
2451 'authors journalists & other writers'
2452 'sculptors, painters etc artists'
2453 'composers musicians & singers'
2454 'choreographers & dancers'
2455 'film, stage etc actors & directors'
2460 'religious professionals'
3000 'technicians and associated professionals'
3100 'physical & engineering science associate professionals'
3110 'physical & engineering science technicians'
3111 'chemical & physical science technicians'
3112 'civil engineering technicians'
3113 'electrical engineering technicians'
3114 'electronics & telecommunications engineering technicians'
3115 'mechanical engineering technicians'
3116 'chemical engineering technicians'
3117 'mining & metallurgical technicians'
3118 'draughtspersons'
3119 'physical & engineering science technicians nec'
3120 'computer associate professionals'
3121 'computer assistants'
3122 'computer equipment operators'
3123 'industrial robot controllers'
3130 'optical & electronic equipment operators'
3131 'photographers & elctr equipment operators'
3132 'broadcasting & telecommunications equipment operators'
3133 'medical equipment operators'
3139 'optical & electronic equipment operators nec'
3140 'ship & aircraft controllers & technicians'
3141 'ships engineers'
3142 'ships deck officers & pilots'
3143 'aircraft pilots etc associate professionals'
3144 'air traffic controllers'
3145 'air traffic safety technicians'
3150 'safety & ouality inspectors'
3151 'building & fire inspectors'
3152 'safety, health & quality inspectors'
3200 'life science & health associate professionals'
3210 'life science technicians etc associate professionals'
3211 'life science technicians'
3212 'agronomy & forestry technicians'
3213 'farming & forestry advisers'
3220 'modern health associate professionals except nursing'
3221 'medical assistants'
3222 'sanitarians'
3223 'dieticians & nutritionists'
3224 'optometrists & opticians'
3225 'dental assistants'
3226 'physiotherapists etc associate professionals'
3227 'veterinary assistants'
3228 'pharmaceutical assistants'
3229 'modern health associate professionals except nursing nec'
3230 'nursing & midwifery associate professionals'
3231 'nursing associate professionals'
3232 'midwifery associate professionals'
3240 'traditional medicine practitioners & faith healers'
3241 'traditional medicine practitioners'
3242 'faith healers'
3300 'teaching associate professionals'
3310 'primary education teaching associate professionals'
3320 'pre-primary education teaching associate professionals'
3330 'special education teaching associate professionals'
3340 'other teaching associate professionals'
3400 'other associate professionals'
3410 'finance & sales associate professionals'
3411 'securities & finance dealers & brokers'
3412 'insurance representatives'
3413 'estate agents'
3414 'travel consultants & organisers'
3415 'technical & commercial sales representatives'
3416 'buyers'
3417 'appraisers, valuers & auctioneers'
3419 'finance & sales associate professionals nec'
3420 'business services agents and trade brokers'
3421 'trade brokers'
3422 'clearing & forwarding agents'
3423 'employment agents & labour contractors'
3429 'business services agents & trade brokers nec'
3430 'administrative associate professionals'
3431 'administrative secretaries etc associate professionals'
3432 'legal etc business associate professionals'
3433 'bookkeepers'
3434 'statistical, mathematical etc associate professionals'
3439 'administrative associate professionals nec'
3440 'customs, tax etc government associate professionals'
3441 'customs & border inspectors'
3442 'government tax & excise officials'
3443 'government social benefits officials'
3444 'government licensing officials'
3449 'customs tax etc government associate professionals nec'
3450 '[police and army officers]'
3460 'social work associate professionals'
3470 'artistic, entertainment & sports associate professionals'
3471 'decorators & commercial designers'
3472 'radio, television & other announcers'
3473 'street night-club etc musicians singers & dancers'
3474 'clowns magicians acrobats etc associate professionals'
3475 'athletes sportspersons etc associate professionals'
3480 'religious associate professionals'
4000 'clerks'
4100 'office clerks'
4110 'secretaries & keyboard-operating clerks'
4111 'stenographers & typists'
4112 'word-processor etc operators'
4113 'data entry operators'
4114 'calculating-machine operators'
4115 'secretaries'
4120 'numerical clerks'
4121 'accounting & bookkeeping clerks'
4122 'statistical & finance clerks'
4130 'material-recording & transport clerks'
4131 'stock clerks'
4132 'production clerks'
4133 'transport clerks'
4140 'library, mail etc clerks'
4141 'library & filing clerks'
4142 'mail carriers & sorting clerks'
4143 'coding proof-reading etc clerks'
4144 'scribes etc workers'
4190 'other office clerks'
4200 'customer services clerks'
4210 'cashiers, tellers etc clerks'
4211 'cashiers & ticket clerks'
4212 'tellers & other counter clerks'
4213 'bookmakers & croupiers'
4214 'pawnbrokers & money-lenders'
4215 'debt-collectors etc workers'
4220 'client information clerks'
4221 'travel agency etc clerks'
4222 'receptionists & information clerks'
4223 'telephone switchboard operators'
5000 'service workers & shop & market sales workers'
5100 'personal & protective services workers'
5110 'travel attendants etc'
5111 'travel attendants & travel stewards'
5112 'transport conductors'
5113 'travel, museum guides'
5120 'housekeeping & restaurant services workers'
5121 'housekeepers etc workers'
5122 'cooks'
5123 'waiters waitresses & bartenders'
5130 'personal care etc work'
5131 'child-care workers'
5132 'institution-based personal care workers'
5133 'home based personal care workers'
5139 'personal care etc workers nec'
5140 'other personal services workers'
5141 'hairdressers barbers beauticians etc workers'
5142 'companions & valets '
5143 'undertakers & embalmers'
5149 'other personal services workers nec'
5150 'astrologers, fortune-tellers etc workers'
5151 'astrologers etc workers'
5152 'fortune-tellers, palmists etc workers'
5160 'protective services workers'
5161 'fire-fighters'
5162 'police officers'
5163 'prison guards'
5164 '[army: enlisted men - soldiers]'
5169 'protective services workers nec'
5200 'models, salespersons & demonstrators'
5210 'fashion & other models'
5220 'shop salespersons & demonstrators'
5230 'stall & market salespersons'
6000 'skilled agricultural & fishery workers'
6100 'market-oriented skilled agricultural & fishery workers'
6110 'market gardeners & cropgrowers'
6111 'field crop & vegetable growers'
6112 'tree & shrub crop growers'
6113 'gardeners, horticultural & nursery growers'
6114 'mixed-crop growers'
6120 'market-oriented animal producers etc workers'
6121 'dairy & livestock producers'
6122 'poultry producers'
6123 'apiarists & sericulturists'
6124 'mixed -animal producers'
6129 'market-oriented animal producers etc workers nec'
6130 'market-oriented crop & animal producers'
6140 'forestry etc workers'
6141 'forestry workers & loggers'
6142 'charcoal burners etc workers'
6150 'fishery workers, hunters & trappers'
6151 'aquatic-life cultivation workers'
6152 'inland & coastal waters fishery workers'
6153 'deep-sea fishery workers'
6154 'hunters & trappers'
6200 'subsistence agricultural & fishery workers'
6210 'subsistence agricultural & fishery workers'
7000 'craft etc trades workers'
7100 'extraction & building trades workers'
7110 'miners, shotfirers, stone cutters & carvers'
7111 'miners & quarry workers'
7112 'shotfirers & blasters'
7113 'stone splitters cutters & carvers'
7120 '[builders] & ar trades workers'
7121 'builders traditional materials'
7122 'bricklayers & stonemasons'
7123 'concrete placers concrete finishers etc workers'
7124 'carpenters & joiners'
7129 '[builders] ar trades workers nec'
7130 'building finishers etc trades workers'
7131 'roofers'
7132 'floor layers & tile setters'
7133 'plasterers'
7134 'insulation workers'
7135 'glaziers'
7136 'plumbers & pipe fitters'
7137 'building etc electricians'
7140 'painters, building structure cleaners etc trades workers'
7141 'painters etc workers'
7142 'varnishers etc painters'
7143 'building structure cleaners'
7200 'metal, machinery etc trades workers'
7210 'metal moulders, welders, sheetmetal workers structural metal'
7211 'metal moulders & coremakers'
7212 'welders & flamecutters'
7213 'sheet-metal workers'
7214 'structural-metal preparers & erectors'
7215 'riggers & cable splicers'
7216 'underwater workers'
7220 'blacksmiths, tool-makers etc trades workers'
7221 'blacksmiths hammer-smiths & forgingpress workers'
7222 'tool-makers etc workers'
7223 'machine-tool setters & setter-operators'
7224 'metal wheel-grinders polishers & tool sharpeners'
7230 'machinery mechanics & fitters'
7231 'motor vehicle mechanics & fitters'
7232 'aircraft engine mechanics & fitters'
7233 'agricultural- or industrial-machinery mechanics & fitters'
7240 'electrical & electronic equipment mechanics & fitters'
7241 'electrical mechanics & fitters'
7242 'electronics fitters'
7243 'electronics mechanics & servicers'
7244 'telegraph & telephone installers & servlcers'
7245 'electrical line installers repairers & cable jointers'
7300 'precision, handicraft, printing etc trades workers'
7310 'precision workers in metal etc materials'
7311 'precision-instrument makers & repairers'
7312 'musical-instrument makers & tuners'
7313 'jewellery & precious-metal workers'
7320 'potters, glass-makers etc trades workers'
7321 'abrasive wheel formers potters etc workers'
7322 'glass-makers cutters grinders & finishers'
7323 'glass engravers & etchers'
7324 'glass ceramics etc decorative painters'
7330 'handicraft workers in wood,textile, leather etc'
7331 'handicraft workers in wood etc materials'
7332 'handicraft workers in textile leather etc materials'
7340 'printing etc trades workers'
7341 'compositors typesetters etc workers'
7342 'stereotypers & electrotypers'
7343 'printing engravers & etchers'
7344 'photographic etc workers'
7345 'bookbinders etc workers'
7346 'silk-screen, block & textile printers'
7400 'other craft etc trades workers'
7410 'food processing etc trades workers'
7411 'butchers fishmongers etc food preparers'
7412 'bakers-pastry cooks & confectionery makers'
7413 'dairy-products makers'
7414 'fruit, vegetable etc preservers'
7415 'food & beverage tasters & graders'
7416 'tobacco preparers & tobacco products makers'
7420 'wood treaters, cabinet-makers etc trades workers'
7421 'wood treaters'
7422 'cabinet-makers etc workers'
7423 'woodworking-machine setters & setteroperators'
7424 'basketry weavers brush makers etc workers'
7430 'textile, garment etc trades workers'
7431 'fibre preparers'
7432 'weavers knitters etc workers'
7433 'tailors dressmakers & hatters'
7434 'furriers etc workers'
7435 'textile leather etc pattern-makers & cutters'
7436 'sewers embroiderers etc workers'
7437 'upholsterers etc workers'
7440 'pelt, leather & shoemaking trades workers'
7441 'pelt dressers tanners & fellmongers'
7442 'shoe-makers etc workers'
7500 '[skilled manual worker nfs]'
8000 'plant & machine operators & assemblers'
8100 'stationary-plant etc operators'
8110 'mining- & mineral-processing plant operators'
8111 'mining-plant operators'
8112 'mineral-ore- & stone-processing-plant operators'
8113 'well drillers & borers etc workers'
8120 'metal-processing-plant operators'
8121 'ore & metal furnace operators'
8122 'metal melters casters & rolling-mill operators'
8123 'metal-heat-treating-plant operators'
8124 'metal drawers & extruders'
8130 'glass, ceramics etc plant operators'
8131 'glass & ceramics kiln etc machine operators'
8139 'glass, ceramics etc plant operators nec'
8140 'wood-processing- & papermaking-plant operators'
8141 'wood-processing-plant operators'
8142 'paper-pulp plant operators'
8143 'papermaking-plant operators'
8150 'chemical-processing-plant operators'
8151 'crushing- grinding- & chemical-mixing machinery operators'
8152 'chemical-heat-treating-plant operators'
8153 'chemical-filtering- & separating-equipment operators'
8154 'chemical-still & reactor operators '
8155 'petroleum- & natural-gas-refining-plant operators'
8159 'chemical-processing-plant operators nec'
8160 'power-production etc plant operators'
8161 'power-production plant operators'
8162 'steam-engine & boiler operators'
8163 'incinerator water-treatment etc plant operators'
8170 'automated-assembly-line & industrial-robot operators'
8171 'automated-assembly- line operators'
8172 'industrial-robot operators'
8200 'machine operators & assemblers'
8210 'metal- & mineral-products machine operators'
8211 'machine-tool operators'
8212 'cement & other mineral products machine operators'
8220 'chemical-products machine operators'
8221 'pharmaceutical- & toiletry-products machine operators'
8222 'ammunition- & explosive-products machine operators'
8223 'metal finishing- plating- & coating-machlne operators'
8224 'photographic-products machine operators'
8229 'chemical-products machine operators nec'
8230 'rubber- & plastic-products machine operators'
8231 'rubber-products machine operators'
8232 'plastic-products machine operators'
8240 'wood-products machine operators'
8250 'printing- binding- & paper-products machine operators'
8251 'printing-machine operators'
8252 'bookbinding-machine operators'
8253 'paper-products machine operators'
8260 'textile- fur- & leather-products machine operators'
8261 'fibre-preparing-, spinning- & windingmachine operators'
8262 'weaving- & knitting-machine operators'
8263 'sewing-machine operators'
8264 'bleaching- dyeing- & cleaning-machine operators'
8265 'fur- & leather-preparing-machine operators'
8266 'shoemaking- etc machine operators'
8269 'textile- fur- & leather-products machine operators nec'
8270 'food etc products machine operators'
8271 'meat- & fish-processing-machine operators'
8272 'dairy-products machine operators'
8273 'grain- & spice-milling-machine operators'
8274 'baked-goods cereal & chocolate-products machine operators'
8275 'fruit- vegetable- & nut-processing-machine operators'
8276 'sugar production machine operators'
8277 'tea- coffee- & cocoa-processing-machine operators'
8278 'brewers- wine & other beverage machine operators'
8279 'tobacco production machine operators'
8280 'assemblers'
8281 'mechanical-machinery assemblers'
8282 'electrical-equipment assemblers'
8283 'electronic-equipment assemblers'
8284 'metal- rubber- & plastic-products assemblers'
8285 'wood etc products assemblers'
8286 'paperboard textile etc products assemblers'
8290 'other machine operators & assemblers'
8300 'drivers & mobile-plant operators'
8310 'locomotive-engine drivers etc workers'
8311 'locomotive-engine drivers'
8312 'railway brakers signallers & shunters'
8320 'motor-vehicle drivers'
8321 'motor-cycle drivers'
8322 'car taxi & van drivers'
8323 'bus & tram drivers'
8324 'heavy truck & lorry drivers'
8330 'agricultural & other mobile-plant operators'
8331 'motorised farm & forestry plant operators'
8332 'earth-moving- etc plant operators'
8333 'crane hoist etc plant operators'
8334 'lifting-truck operators'
8340 'ships deck crews etc workers'
9000 'elementary occupations'
9100 'sales & services elementary occupations'
9110 'street vendors etc workers'
9111 'street food vendors'
9112 'street vendors non-food products'
9113 'door-to-door & telephone salespersons'
9120 'street services elementary occupations'
9130 'domestic etc helpers cleaners & launderers'
9131 'domestic helpers & cleaners'
9132 'helpers & cleaners in establishments'
9133 'hand-launderers & pressers'
9140 'building caretakers, window etc cleaners'
9141 'building caretakers'
9142 'vehicle, window etc cleaners'
9150 'messengers, porters, doorkeepers etc workers'
9151 'messengers package & luggage porters & deliverers'
9152 'doorkeepers watchpersons etc workers'
9153 'vending-machine money collectors meter readers etc workers'
9160 'garbage collectors etc labourers'
9161 'garbage collectors'
9162 'sweepers etc labourers'
9200 'agricultural, fishery etc labourers'
9210 'agricultural, fishery etc labourers'
9211 'farm-hands & labourers'
9212 'forestry labourers'
9213 'fishery hunting & trapping labourers'
9300 'labourers in mining, construction, manufacturing & transport'
9310 'mining & construction labourers'
9311 'mining & quarrying labourers'
9312 'construction & maintenance labourers: roads dams etc'
9313 'building construction labourers'
9320 'manufacturing labourers'
9321 'assembling labourers'
9322 'hand packers & other manufacturing labourers'
9330 'transport labourers & freight handlers'
9331 'hand or pedal vehicle drivers'
9332 'drivers of animal-drawn vehicles & machinery'
9333 'freight handlers'
